CRM

Bulk import records (create or update), optionally into a list

POST
/v1/crm/import

Authorization

x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/crm/import" \  -H "Content-Type: application/json" \  -d '{    "objectType": "people",    "rows": [      {}    ]  }'
{
  "data": {
    "created": 0,
    "enrichJobId": "string",
    "failed": 0,
    "results": [
      {
        "code": "MISSING_NAME",
        "entityId": "string",
        "error": "string",
        "outcome": "created",
        "row": 0
      }
    ],
    "total": 0,
    "updated": 0
  }
}
{
  "data": {
    "jobId": "string"
  }
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string",
  "limit": 0,
  "size": 0
}
{
  "error": "string"
}